%define name oggre
%define version 0.2
%define release 4mdk

Summary: Ogg output plugin for xmms.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: libvorbis-devel 
BuildRequires: libxmms-devel
BuildRequires: libgtk+1.2-devel
Requires: xmms
URL: http://sourceforge.net/projects/my-xmms-plugs/

%description
This xmms plugin writes Ogg Vorbis audio files to the hard disk.

%prep
%setup -q -n %name
chmod 644 AUTHORS COPYING

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/xmms/Output/liboggre.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%_libdir/xmms/Output/liboggre.so
%changelog
* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2-4mdk
- fix buildrequires

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2-3mdk
- fix installation

* Mon Jul 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2-2mdk
- new vorbis

* Sun May 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2-1mdk
- new version

* Mon Mar 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.1-1mdk
- initial package
